Gentoo Forums
Gentoo Forums
Gentoo Forums
Quick Search: in
[ GLSA 201203-20 ] Logwatch: Arbitrary code execution
View unanswered posts
View posts from last 24 hours

 
Reply to topic    Gentoo Forums Forum Index News & Announcements
View previous topic :: View next topic  
Author Message
GLSA
Veteran
Veteran


Joined: 12 May 2004
Posts: 1569

PostPosted: Wed Mar 28, 2012 11:26 am    Post subject: [ GLSA 201203-20 ] Logwatch: Arbitrary code execution Reply with quote

Gentoo Linux Security Advisory

Title: Logwatch: Arbitrary code execution (GLSA 201203-20)
Severity: high
Exploitable: remote
Date: March 28, 2012
Bug(s): #356387
ID: 201203-20

Synopsis

A vulnerability in Logwatch might allow remote attackers to execute
arbitrary code.


Background

Logwatch analyzes and reports on system logs.

Affected Packages

Package: sys-apps/logwatch
Vulnerable: < 7.4.0
Unaffected: >= 7.4.0
Architectures: All supported architectures


Description

logwatch.pl does not properly sanitize log filenames against shell
metacharacters before passing them to the "system()" function.


Impact

A remote attacker could pass a specially crafted log filename to
Logwatch, possibly resulting in execution of arbitrary code with root
privileges or a Denial of Service condition.


Workaround

There is no known workaround at this time.

Resolution

All Logwatch users should upgrade to the latest version:
Code:
# emerge --sync
      # emerge --ask --oneshot --verbose ">=sys-apps/logwatch-7.4.0"
   


References

CVE-2011-1018
Back to top
View user's profile Send private message
Display posts from previous:   
Reply to topic    Gentoo Forums Forum Index News & Announcements All times are GMT
Page 1 of 1

 
Jump to:  
You cannot post new topics in this forum
You cannot reply to topics in this forum
You cannot edit your posts in this forum
You cannot delete your posts in this forum
You cannot vote in polls in this forum